# Backlink History

Source: https://www.ranked.ai/developers/api-reference/backlinks/history

`GET https://app.ranked.ai/api/v1/projects/{projectId}/backlinks/history`

> Get daily new and lost backlink counts over time

Returns daily backlink change data for trend analysis.

- `projectId` (path, string, required): Project UUID

**Request**

```bash cURL
curl "https://app.ranked.ai/api/v1/projects/{projectId}/backlinks/history" \
  -H "Authorization: Bearer rk_live_your_api_key"
```

```javascript JavaScript
const response = await fetch(
  `https://app.ranked.ai/api/v1/projects/${projectId}/backlinks/history`,
  { headers: { 'Authorization': `Bearer ${apiKey}` } }
);
const { data } = await response.json();
```

```python Python
import requests

response = requests.get(
    f'https://app.ranked.ai/api/v1/projects/{project_id}/backlinks/history',
    headers={'Authorization': f'Bearer {api_key}'}
)
history = response.json()['data']
```

**Response**

```json 200
{
  "success": true,
  "data": {
    "history": [
      {
        "check_date": "2026-05-01",
        "new_backlinks": 3,
        "lost_backlinks": 1,
        "new_referring_domains": 2,
        "lost_referring_domains": 0,
        "net_backlinks_change": 2,
        "net_domains_change": 2
      },
      {
        "check_date": "2026-04-24",
        "new_backlinks": 5,
        "lost_backlinks": 0,
        "new_referring_domains": 4,
        "lost_referring_domains": 1,
        "net_backlinks_change": 5,
        "net_domains_change": 3
      }
    ],
    "summary": {
      "total_new": 8,
      "total_lost": 1,
      "net_change": 7
    }
  }
}
```
